package org.disperanto.messages;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

public final class TestMessageLoader {

    private TestMessageLoader() {
    }

    public static byte[] loadMessageResource(Class<?> clazz, String path) throws IOException {
        ByteArrayOutputStream bout = new ByteArrayOutputStream();
        try (InputStream in = clazz.getResourceAsStream(path)) {
            int r;
            while ((r = in.read()) >= 0) {
                bout.write(r);
            }
        }
        return bout.toByteArray();
    }

}
